Bug 73500 - ships duplicated XSL stylesheets
ships duplicated XSL stylesheets
Status: CLOSED CANTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: kdelibs (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On: 61413
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-05 11:16 EDT by Tim Waugh
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 15:34:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2002-09-05 11:16:32 EDT
/usr/share/apps/ksgmltools2/docbook contains lots of duplicated stuff from
docbook-dtds and docbook-style-xsl.  Since we have had XML Catalogs working for
a while now, it would be much better to just use the ones we provide and not
ship superfluous ones.
Comment 1 Bernhard Rosenkraenzer 2002-09-12 06:36:53 EDT
Comes down to the good old "rpm can't replace a directory with a symlink"     
problem.     
     
We could just replace the references to the directory in the code with     
references to other places, but that would kill off 3rd party applications     
expecting them where KDE puts them (which is a lot).     
     
The ideal fix would be removing the KDE versions and replacing them with a     
symlink to the "normal" ones, but that's not possible with the current rpm.    
   
Putting in NEEDINFO until rpm is extended to handle this (#61413).
Comment 2 Tim Waugh 2002-09-12 07:33:04 EDT
No, a symlink is not the solution at all.  Use XML Catalogs.  With an XML 
Catalog, a URI like 
http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl is 
translated into the appropriate local filename. 
 
So you can have a (minimal) customization layer that just references the above 
URI (or one like it) and have everything just work, so long as your XSLT 
processor understands XML Catalogs (and libxslt does).
Comment 3 Bill Nottingham 2006-08-07 21:52:36 EDT
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux.
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues were not resolved in a more
timely manner. However, we do want to make sure that important 
don't slip through the cracks. If these issues are still present
in a current release, such as Fedora Core 5, please move these
bugs to that product and version. Note that any remaining Red Hat
Raw Hide bugs will be closed as 'CANTFIX' on September 30, 2006.
Thanks again for your help.
Comment 4 Bill Nottingham 2006-10-18 15:34:19 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.